%global appname com.github.maoschanz.drawing

Name:           drawing
Version:        0.8.5
Release:        %mkrel 1
Summary:        Drawing application for the GNOME desktop
Group:          Graphics
License:        GPLv3+
URL:            https://github.com/maoschanz/drawing
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.xz

%description
This application is a basic image editor, similar to Microsoft Paint,
but aiming at the GNOME desktop.

PNG, JPEG and BMP files are supported.

Besides GNOME, some more traditional design layouts are available too,
as well as an elementaryOS layout. It should also be compatible with
Purism's Librem 5 phone.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

sd "Drawing" "GDrawing" %{buildroot}/%{_datadir}/applications/%{appname}.desktop

%find_lang %{name}


%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/help
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/glib-2.0/schemas/%{appname}.gschema.xml
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/metainfo/com.github.maoschanz.drawing.appdata.xml

%changelog
* Thu Dec 16 2021 tex - 0.8.5-1pclos2021
- new version

* Thu Jul 22 2021 tex - 0.8.3-1pclos2021
- new version

* Sun Feb 28 2021 tex - 0.6.5-1pclos2021
- new version

* Sun Nov 15 2020 tex - 0.6.3-1pclos2020
- new version

* Thu Aug 28 2019 tex - 0.4.3-1pclos2019
- 0.4.3
